import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("about_page_cms")
export class AboutPageCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, nullable: true })
    subTitle: string;

    @Column({ default: null, nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    address: string;

    @Column({ default: null, nullable: true })
    contactNumber: string;

    @Column({ default: null, nullable: true })
    email: string;

    @Column({ default: null, nullable: true })
    imageOne: string;

    @Column({ default: null, nullable: true })
    imageTwo: string;

    @Column({ default: null, nullable: true })
    imageThree: string;

    @Column({ default: null, nullable: true })
    sectionTwoTitle: string;
}
